Install fennec: problem parsing the package (on ARMv6)

RESOLVED INVALID

Status

()

Firefox for Android
General
RESOLVED INVALID
5 years ago
a year ago

People

(Reporter: kumar, Unassigned)

Tracking

Trunk
x86
Android
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [Play])

On an HTC Espresso (myTouch 3G slide) running its original system (Android 2.1-update) ...

Steps to reproduce:
1. Download Aurora from http://www.mozilla.org/en-US/mobile/aurora/ in Browser 
2. Open the file from the downloads.

What you expected: 
Install the app

Actual:

It says "There is a problem parsing the package." Here is what I saw in logcat:

I/ActivityManager(   79): Starting activity: Intent { act=android.intent.action.VIEW dat=file:///sdcard/download/fennec-17.0a2.en-US.android-arm.apk typ=application/vnd.android.package-archive flg=0x4000000 cmp=com.android.packageinstaller/.PackageInstallerActivity }
W/PackageParser(  972): /sdcard/download/fennec-17.0a2.en-US.android-arm.apk (at Binary XML file line #12): Requires newer sdk version #8 (current version is #7)
W/PackageInstaller(  972): Parse error when parsing manifest. Discontinuing installation
I/ActivityManager(   79): Displayed activity com.android.packageinstaller/.PackageInstallerActivity: 295 ms (total 295 ms)


Here are some facts about the myTouch 3G Slide http://en.wikipedia.org/wiki/T-Mobile_myTouch_3G_Slide

Note how I am running the original system that shipped with this phone, 2.1 (Eclair)
That basically means we don't support Android 2.1. Currently we only support Android 2.2+
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → INVALID
Ah, ok, thanks. I didn't see 2.2 as a requirement in the email that was sent out. I'll flash the phone and get 2.2 on there to try it out.
You need to log in before you can comment on or make changes to this bug.